Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.processors.fetch
Class FetchClosure

    java.lang.Object
      org.joseki.server.processors.fetch.FetchClosure

All Implemented Interfaces:
  FetchHandler, Loadable

public class FetchClosure
extends java.lang.Object
implements FetchHandler, Loadable

Fetch handler to find the bNode-closure from a resource. The resource itself can be a bNode or a labelled node. This calculates the set of all properties, and following all the properties on bNodes (recursively, with loop detection).

Version:
  $Id: FetchClosure.java,v 1.5 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Constructor Summary
`FetchClosure()`

Method Summary
`void` | `fetch(com.hp.hpl.jena.rdf.model.Resource r, java.util.Set types, com.hp.hpl.jena.rdf.model.Model acc)`
`java.lang.String` | `getInterfaceURI()` The URI for this loadable class.
`boolean` | `handles(com.hp.hpl.jena.rdf.model.Resource r, java.util.Set types)`
`void` | `init(com.hp.hpl.jena.rdf.model.Resource binding, com.hp.hpl.jena.rdf.model.Resource implementation)` Allow an implementation to initialise, based on configuration file

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FetchClosure

    public FetchClosure()

Method Detail

### getInterfaceURI

    public java.lang.String getInterfaceURI()

  Description copied from interface: `Loadable`
  The URI for this loadable class. Must agree with the URI specified on loading (if any).

  Specified by:
    `getInterfaceURI` in interface `Loadable`

### init

    public void init(com.hp.hpl.jena.rdf.model.Resource binding,
                     com.hp.hpl.jena.rdf.model.Resource implementation)

  Description copied from interface: `Loadable`
  Allow an implementation to initialise, based on configuration file

  Specified by:
    `init` in interface `Loadable`

### handles

    public boolean handles(com.hp.hpl.jena.rdf.model.Resource r,
                           java.util.Set types)

  Specified by:
    `handles` in interface `FetchHandler`

### fetch

    public void fetch(com.hp.hpl.jena.rdf.model.Resource r,
                      java.util.Set types,
                      com.hp.hpl.jena.rdf.model.Model acc)

  Specified by:
    `fetch` in interface `FetchHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.